﻿/* Generated with Author-it 5.0.12.670  7/4/2008 4:59:18 PM */
Page=new Array();Page[0]=new Array("ISBN: N/A ","Parallels ","660 SW 39th Street","Suite 205","Renton, Washington 98057","USA","Phone: +1 (425) 282 6400 ","Fax: +1 (425) 282 6444 ","© Copyright 2007 Ensim Corporation. All rights reserved.","© Copyright 2008 Parallels, Inc. All rights reserved.","Distribution of this work or derivative of this work in any form is prohibited unless prior written permission is obtained from the copyright holder.","Product and service names mentioned herein are the trademarks of their respective owners.","Legal and Copyright Notice","epw_copyright_notice.htm");
Page[1]=new Array("Before you start using this guide, it is important to understand the documentation conventions used in it. ","The following kinds of formatting in the text identify special information.","Formatting convention","Type of Information","Example","Special Bold","Items you must select, such as menu options, command buttons, or items in a list.","Go to the System tab.","Titles of chapters, sections, and subsections.","Read the Basic Administration chapter.","Italics","Used to emphasize the importance of a point, to introduce a term or to designate a command line placeholder, which is to be replaced with a real name or value.","The system supports the so called wildcard character search.","Monospace","The names of commands, files, directories, and domain names.","The license file is located in the http://docs/common/licenses directory.","Preformatted","On-screen computer output in your command-line sessions; source code in XML, C++, or other programming languages.","# ls &#0150;al /files","total 14470","Preformatted Bold","What you type, contrasted with on-screen computer output.","# cd /root/rpms/php","CAPITALS","Names of keys on the keyboard.","SHIFT, CTRL, ALT","KEY+KEY","Key combinations for which the user must press and hold down one key and then press another.","CTRL+P, ALT+F4","Typographical Conventions","typographical_conventions.htm");
Page[2]=new Array("If you have found a mistake in this guide, or if you have suggestions or ideas on how to improve this guide, please send your feedback using the online form at http://www.parallels.com/en/support/usersdoc/. Please include in your report the guide's title, chapter and section titles, and the fragment of text in which you have found an error.","Feedback","feedback.htm");
Page[3]=new Array("This guide provides information about the email-related application programming interface (API) calls included in Parallels® Pro Control Panel 10.3.3 for Windows® 2003.","Note: For simplicity, we will refer to Parallels Pro Control Panel 10.3.3 for Windows 2003 as &quot;Parallels Pro Control Panel&quot; throughout this document.","About This Guide","7596.htm");
Page[4]=new Array("This guide is intended for those who need to set up and use Parallels Pro Control Panel, including system administrators, technical support staff of Internet service providers (ISPs), or anyone who wants to host domains/sites on a Microsoft Windows Server 2003 server using Parallels Pro Control Panel.","To use this guide, you need to be familiar with the Windows Server 2003 platform as well as general Internet applications. In addition, you should have some or all of the following skills.","Using the Microsoft Windows Server 2003 operating system as a system administrator","Experience with networking applications","Understanding of system security","Understanding of DNS","Intended Audience and Required Skills","7598.htm");
Page[5]=new Array("For a list of related documentation, see the Parallels Pro Control Panel for Windows release notes. Documentation is also available in the Parallels Pro Control Panel for Windows section of the Parallels Pro Control Panel Support site, http://www.parallels.com/support/pro/. All customers receive passwords that allow access to this site. If you do not have a password, contact your organization's liaison to Parallels Pro Control Panel.","Related Documentation","7599.htm");
Page[6]=new Array("The Parallels Pro Control Panel control panel provides comprehensive online Help designed to answer questions and help you find the information you need, when you need it. To access online Help, log in to the control panel, then click the Help links on the lower left navigation panel. To get help for a specific page, click @  on the upper right side of forms.","Online Help","7600.htm");
Page[7]=new Array("Parallels Pro Control Panel defines a fixed set of email-related tasks that you can perform using the control panel at each level of administration. Each task maps to one or more mail server backend API calls. Parallels Pro Control Panel 10.3.3 for Windows 2003 calls the API at appropriate times.","Parallels Pro Control Panel offers two types of API calls to help you integrate your mail server into the existing Parallels Pro Control Panel setup: Mail Server API and Registration API.","Mail Server API. This is a backend API used by Parallels Pro Control Panel to carry out various actions on the underlying mail server. This API is called whenever you perform any action on the mail server through the Parallels Pro Control Panel.","Registration API. This API is used to register your mail server add-on with Parallels Pro Control Panel. As a part of the registration process, the mail server backend API that you provide gets plugged into Parallels Pro Control Panel.","Overview of API Calls","7603.htm");
Page[8]=new Array("Before you start integrating the API calls, you may find it helpful to review the following list of rules.","The mail server backend API calls use either an executable or a script written in any programming language that returns &quot;0&quot; on success and &quot;1&quot; on failure. If it is a script, you must specify the location of the executable that will interpret the script and the parameters it requires while registering the mail add-on. For more information, see the registration instructions.","The API commands included in this guide are executables and their syntax is:","APIcommand.exe &lt;parameter1_value&gt; &lt;parameter2_value&gt; ...","where:","APIcommand.exe is the name of the executable that implements the API call","&lt;parameter1_value&gt; is the value of the first parameter for the command","&lt;parameter2_value&gt; is the value of the second parameter for the command, and so on.","Note: Any additional capabilities provided by your mail server are independent and will not be reflected in the Parallels Pro Control Panel.","Each backend API implementation performs an input parameter validation and fails the call if any invalid parameters are passed to it.","Optional: If a certain functionality exposed by the Parallels Pro Control Panel is not supported by your mail server, Parallels Pro Control Panel displays an error message that it cannot locate the corresponding executable or script to use the API. However, if you want to customize the error message, you can provide a placeholder implementation for the API and fail the API call by returning &quot;1&quot; and printing the appropriate error message.","Before You Start","7605.htm");
Page[9]=new Array("The Mail Server API commands provided in Parallels Pro Control Panel include some new commands, some updated commands, and some commands that have been deleted but were present in Ensim WEBppliance Pro 3.6 for Windows 2003.","New API commands included in Parallels Pro Control Panel","Type of command","Command name","New commands","EAddDistributionList.exe","EAddDistributionListMember.exe","EAddMailingList.exe","EAddMailingListMember.exe","EDeleteDistributionList.exe","EDeleteDistributionListMember.exe","EDeleteMailingList.exe","EDeleteMailingListMember.exe","EGetCatchallUser.exe","EGetDistributionListList.exe","EGetDistributionListMemberList.exe","EGetMailingListList.exe","EGetMailingListMemberList.exe","ESetCatchallUser.exe","ESuspendUser.exe","EResumeUser.exe","EPreExportDomain.exe","EPostExportDomain.exe","EPreImportDomain.exe","EPostImportDomain.exe","EPreExportUser.exe","EPostExportUser.exe","EPreImportUser.exe","EPostImportUser.exe","API commands updated in Parallels Pro Control Panel","Name of the command","Change","EAddDomain.exe","Old Parameters: DomainName, IpAddress, MailBoxDirectory, MaxMailBoxes, MailDomainOwner, MailDomainOwnerPassword","New parameters added: SiteType, EnableMailingList, EnableDomainAliases, EnableDistributonList, EnableSpamFilters, EnableUserAliases, EnableForwards, EnableAutoResponders, EnableWebAccess","EEditDomain.exe","Old Parameters: DomainName, MaxMailBoxes","New parameters added: SiteType, EnableMailingList, EnableDomainAliases, EnableDistributonList, EnableSpamFilters, EnableUserAliases, EnableForwards, EnableAutoResponders, EnableWebAccess","EAddUser.exe","Old Parameters: DomainName, UserName, Password, FirstName, MiddleName, LastName","New parameters added: EnableForwards, EnableAutoResponders, EnableWebAccess","EEditUser.exe","Old Parameters: DomainName, UserName, Password, FirstName, MiddleName, LastName","New parameters added: EnableForwards, EnableAutoResponders, EnableWebAccess","EdeleteDomainAlias.exe","Old Parameters: DomainAlias","New parameters added: DomainName","EgetSpamFilterList.exe","On executing this command, it displays only those email addresses that have a spam filter record against them. It does not display the type of spam filter or the allow/block flag.","EAddSpamFilter.exe","Old Parameters: DomainName bAllow SpamFilterType SpamFilter","New parameters: DomainName, SpamFilterAddress, TypeOfSpamFilter","EdeleteSpamFilter.exe","Old Parameters: DomainName, bAllow, SpamFilterType, SpamFilter","New parameters: DomainName, SpamFilterAddress","EgetForwardList.exe","On executing this command, it displays only the forward records of the specified username. It does not display the UserName.","EGetUserAliasList.exe","On executing this command, it displays only the user aliases and not the UserName.","API commands deleted from Parallels Pro Control Panel","Type of command","Command name","Deleted commands","EGetDomainList.exe","EGetUserList.exe","EGetUserInfo.exe","EAuthenticateUser.exe","EGetStatus.exe","EConfigureMailServer.exe","EBackupMailServer.exe","ESetMailUrl.exe","EDeleteMailURL.exe","EIsInstalled.exe","Changes in the Mail Server API","7607.htm");
Page[10]=new Array("This section explains the API calls used for managing a mail domain.","Managing a Mail Domain","7610.htm");
Page[11]=new Array("Command name","EAddDomain.exe","Parameters","DomainName - Name of the mail domain.","IpAddress - IP address of the mail domain.","MailBoxDirectory - Full path to the directory where the mails for this mail domain should be stored.","MaxMailBoxes - Maximum number of mailboxes allowed for this mail domain.","MailDomainOwner - Owner of this mail domain. This user is same as the site administrator.","MailDomainOwnerPassword - Plain text password for the owner of the mail domain specified by MailDomainOwner parameter.","ipsite - Value is equal to &quot;1&quot; for an IP-based site and &quot;0&quot; for a name-based site.","EnableMailingLists - Value is equal to &quot;1&quot; for enabling and &quot;0&quot; for disabling.","EnableDomainAliases - Value is equal to &quot;1&quot; for enabling and &quot;0&quot; for disabling.","EnableDistributonLists - Value is equal to &quot;1&quot; for enabling and &quot;0&quot; for disabling.","EnableSpamFilters - Value is equal to &quot;1&quot; for enabling and &quot;0&quot; for disabling.","EnableUserAliases - Value is equal to &quot;1&quot; for enabling and &quot;0&quot; for disabling.","EnableForwards - Value is equal to &quot;1&quot; for enabling and &quot;0&quot; for disabling.","EnableAutoResponders - Value is equal to &quot;1&quot; for enabling and &quot;0&quot; for disabling.","EnableWebAccess - Value is equal to &quot;1&quot; for enabling and &quot;0&quot; for disabling.","Result","The API adds the mail domain and the user specified by MailDomainOwner on the mail domain, and sets the catchrest alias for the mail domain to point to this user. It also sets the properties of the mail domain according to the remaining parameters passed to it.","If you want to set the number of mailboxes to unlimited, the value of the MaxMailBoxes parameter should be &quot;-1&quot;. This value is also valid in the backward compatibility mode. <br><br>For more information on the backward compatibility mode, see Backward compatibility for existing mail add-ons.","Adding a Mail Domain","7611.htm");
Page[12]=new Array("Command name","EEditDomain.exe","Parameters","DomainName - Name of the mail domain.","MaxMailBoxes - Maximum number of mailboxes allowed for this mail domain.","EnableMailingLists - Value is equal to &quot;1&quot; for enabling and &quot;0&quot; for disabling.","EnableDomainAliases - Value is equal to &quot;1&quot; for enabling and &quot;0&quot; for disabling.","EnableDistributonLists - Value is equal to &quot;1&quot; for enabling and &quot;0&quot; for disabling.","EnableSpamFilters - Value is equal to &quot;1&quot; for enabling and &quot;0&quot; for disabling.","EnableUserAliases - Value is equal to &quot;1&quot; for enabling and &quot;0&quot; for disabling.","EnableForwards - Value is equal to &quot;1&quot; for enabling and &quot;0&quot; for disabling.","EnableAutoResponders - Value is equal to &quot;1&quot; for enabling and &quot;0&quot; for disabling.","EnableWebAccess - Value is equal to &quot;1&quot; for enabling and &quot;0&quot; for disabling.","Result","The API verifies whether the existing number of users on the mail domain is greater than the value of MaxMailBoxes. In such cases, the API fails the call with the appropriate error message. It also sets the properties of the mail domain according to the remaining parameters passed to it.","Editing a Mail Domain","7612.htm");
Page[13]=new Array("Command name","ESuspendDomain.exe","Parameters","DomainName - Name of the mail domain.","Result","If your mail server does not support suspending a mail domain, the API provides a placeholder implementation. The placeholder implementation simply returns a success.","Suspending a Mail Domain","7613.htm");
Page[14]=new Array("Command name","EResumeDomain.exe","Parameters","DomainName - Name of the mail domain.","Result","If your mail server does not support suspending and resuming a mail domain, the API provides a placeholder implementation. The placeholder implementation simply returns a success.","Mail Domain Resuming","7614.htm");
Page[15]=new Array("Command name","EDeleteDomain.exe","Parameters","DomainName - Name of the mail domain.","Result","The API deletes all the information associated with the mail domain including its users, domain aliases, user forwards, and aliases.","Note: Parallels Pro Control Panel does not make any additional backend calls to clean the &quot;delete&quot; process.","Deleting a Mail Domain","7615.htm");
Page[16]=new Array("Command name","EPreImportDomain.exe - This command must be called at the beginning of the import process.","EPostImportDomain.exe - This command must be called at the end of the import process.","Parameters","Both the commands use the same list of parameters as mentioned for exporting a mail domain. For the complete list of parameters, see parameters.","Result","The API calls provide the ability to import the mail domain from the specified directory.","Importing a Mail Domain","7616.htm");
Page[17]=new Array("Command name","EGetMailURL.exe","Parameters","DomainName - Name of the mail domain.","Result","If your mail server supports a Web-based interface, the API prints the Web URL for the specified mail domain on standard output. Otherwise, the API fails with an exit code of &quot;1&quot;.","Displaying the Web Interface URL","7617.htm");
Page[18]=new Array("Command name","EChangeDomainIP.exe","Parameters","DomainName - Name of the mail domain","IPAddress - New IP address for the mail domain","Result","The API changes the IP address of the specified domain to the value specified by IPAddress.","Changing the IP Address of a Mail Domain","7618.htm");
Page[19]=new Array("This section explains the API calls used for managing a mail domain alias.","Managing a Mail Domain Alias","7619.htm");
Page[20]=new Array("Command name","EAddDomainAlias.exe","Parameters","DomainName - Name of the mail domain.","DomainAlias - Name of the domain alias.","Result","The API adds a new mail domain alias.","Note: Parallels Pro Control Panel does not expect the API to add the necessary DNS records. You can choose to add the necessary DNS records on your own.","Adding a Mail Domain Alias","7620.htm");
Page[21]=new Array("Command name","EDeleteDomainAlias.exe","Parameters","DomainName - Name of the mail domain.","DomainAlias - Name of the domain alias.","Result","The API deletes the specified mail domain alias.","Note: Parallels Pro Control Panel does not expect the API to remove the necessary DNS records. You can choose to remove the necessary DNS records on your own.","Deleting a Mail Domain Alias","7621.htm");
Page[22]=new Array("Command name","EGetDomainAliasList.exe","Parameters","DomainName - Name of the mail domain.","Result","The API prints all the domain aliases for a mail domain specified by DomainName on standard output. Each domain alias name is printed on a separate line.","Displaying the List of Mail Domain Aliases","7622.htm");
Page[23]=new Array("Command name","EPreExportDomain.exe - This command must be called at the beginning of the export process.","EPostExportDomain.exe - This command must be called at the end of the export process.","Note: Both the commands use the same list of parameters given below.","Parameters","Note: DomainName - Name of the mail domain.","MailBoxDirectory - Location of the directory where the mails for this mail domain should be stored.","ExportImportDataLocation - Location of the directory where the data will be stored.","MailDomainOwner - Owner of the mail domain. This user is same as the site administrator.","EnableMailingLists - Value is equal to &quot;1&quot; for enabling and &quot;0&quot; for disabling.","EnableDomainAliases - Value is equal to &quot;1&quot; for enabling and &quot;0&quot; for disabling.","EnableDistributonLists - Value is equal to &quot;1&quot; for enabling and &quot;0&quot; for disabling.","EnableSpamFilters - Value is equal to &quot;1&quot; for enabling and &quot;0&quot; for disabling.","EnableUserAliases - Value is equal to &quot;1&quot; for enabling and &quot;0&quot; for disabling.","EnableForwards - Value is equal to &quot;1&quot; for enabling and &quot;0&quot; for disabling.","EnableAutoResponders - Value is equal to &quot;1&quot; for enabling and &quot;0&quot; for disabling.","EnableWebAccess - Value is equal to &quot;1&quot; for enabling and &quot;0&quot; for disabling.","Result","The API calls provide the ability to export the mail domain to the specified directory.","Exporting a Mail Domain","7623.htm");
Page[24]=new Array("This section explains the API calls used to manage a distribution list for a mail domain.","Managing a Distribution List For a Mail Domain","7624.htm");
Page[25]=new Array("Command name	","EAddDistributionList.exe","Parameters","DomainName - Name of the mail domain.","DistributionListName - Name of the distribution list.","Result","The API creates the distribution list in the specified mail domain.","Adding a Distribution List","7625.htm");
Page[26]=new Array("Command name","EDeleteDistributionList.exe","Parameters","DomainName - Name of the mail domain.","DistributionListName - Name of the distribution list.","Result","The API deletes the distribution list from the specified mail domain.","Deleting a Distribution List","7626.htm");
Page[27]=new Array("Command name","EGetDistributionListList.exe","Parameters","DomainName - Name of the mail domain.","Result","The API displays the list of all distribution lists belonging to the specified mail domain, one on each line.","Displaying all Distribution Lists for a Mail Domain","7627.htm");
Page[28]=new Array("This section explains the API calls used to manage a mailing list for a mail domain.","Managing a Mailing List for a Mail Domain","7628.htm");
Page[29]=new Array("Command name","EAddMailingList.exe","Parameters","DomainName - Name of the mail domain.","MailingListName - Name of the mailing list to be created.","Result","The API creates the mailing list in the specified mail domain.","Adding a Mailing List","7629.htm");
Page[30]=new Array("Command name","EDeleteMailingList.exe","Parameters","DomainName - Name of the mail domain.","MailingListName - Name of the mailing list to be deleted.","Result","The API deletes the mailing list from the specified mail domain.","Deleting a Mailing List","7630.htm");
Page[31]=new Array("Command name","EGetMailingListList.exe","Parameters","DomainName - Name of the mail domain.","Result","The API displays the list of all the mailing lists belonging to the specified mail domain, one on each line.","Displaying all Mailing Lists for a Mail Domain","7631.htm");
Page[32]=new Array("This section explains the API calls used to manage a spam filter for a mail domain.","Managing a Spam Filter for a Mail Domain","7632.htm");
Page[33]=new Array("Command name","EAddSpamFilter.exe","Parameters","DomainName - Name of the mail domain.","SpamFilterAddress - Spam filter address.","TypeOfSpamFilter - Type of spam filter to be applied.","Result","The API adds a spam filter for the specified mail domain. Depending upon the type of spam filter, the spam filter address is interpreted as email, Domain, or IP address.","If TypeOfSpamFilter=&quot;EMAIL&quot;, the API will add an email spam filter","If TypeOfSpamFilter=&quot;IP&quot;, the API will add an IP spam filter","If TypeOfSpamFilter=&quot;DOMAIN&quot;, the API will add a domain spam filter","Adding a Spam Filter","7633.htm");
Page[34]=new Array("Command name","EDeleteSpamFilter.exe","Parameters","DomainName - Name of the mail domain.","SpamFilter - Spam filter address.","Result","The API removes the spam filter for the specified mail domain.","Deleting a Spam Filter","7634.htm");
Page[35]=new Array("Command name","EGetSpamFilterList.exe","Parameters","DomainName - Name of the mail domain.","Result","The API displays all spam filters for the specified domain, one on each line.","Displaying the List of Spam Filters","7635.htm");
Page[36]=new Array("This section explains the API calls used to manage the mail server.","Managing the Mail Server","7636.htm");
Page[37]=new Array("Command name","EStartMailServer.exe","Parameters","None","Result","The API performs the tasks required to start all the mail services.","Starting the Mail Server","7637.htm");
Page[38]=new Array("Command name","EStopMailServer.exe","Parameters","None","Result","The API performs the tasks required to stop all the mail services.","Stopping the Mail Server","7638.htm");
Page[39]=new Array("Command name","EChangeNetworkSettings.exe","Parameters","OldServerIP - Old primary IP address of the server.","OldServerFQDN - Old fully qualified domain name of the server.","NewServerIP - New primary IP address of the server.","NewServerFQDN - New fully qualified domain name of the server.","Result","The API updates the mail server with new network settings.","Note: Parallels Pro Control Panel calls this API when you change the primary IP address of the server and then uses the network configuration utility provided by Parallels Pro Control Panel to configure it for new network settings. The API will completely take care of updating the mail server with new network settings. Parallels Pro Control Panel will not touch any mail server configuration.","Changing the Network Settings of the Mail Server","7639.htm");
Page[40]=new Array("This section explains the Mail Server API calls related to the user level.","User-related Mail Server API Calls","7640.htm");
Page[41]=new Array("This section explains the API calls used to manage a mail domain user.","Managing a Mail Domain User","7642.htm");
Page[42]=new Array("Command name","EAddUser.exe","Parameters","DomainName - Name of the mail domain.","UserName - Name of the mail domain user.","Password - Plain text password for the mail domain user.","FirstName - First name of the user.","MiddleName - Middle name of the user.","LastName - Last name of the user.","UserEnableForwards - Value is equal to &quot;1&quot; for enabling and &quot;0&quot; for disabling.","UserEnableAutoResponders - Value is equal to &quot;1&quot; for enabling and &quot;0&quot; for disabling.","UserEnableWebAccess - Value is equal to &quot;1&quot; for enabling and &quot;0&quot; for disabling.","Result","The API adds all the information associated with the mail domain user.","Adding a Mail Domain User","7643.htm");
Page[43]=new Array("Command name","EEditUser.exe","Parameters","DomainName - Name of the mail domain.","UserName - Name of the mail domain user.","Password - Plain text password for the mail domain user.","FirstName - First name of the user.","MiddleName - Middle name of the user.","LastName - Last name of the user.","UserEnableForwards - Value is equal to &quot;1&quot; for enabling and &quot;0&quot; for disabling.","UserEnableAutoResponders - Value is equal to &quot;1&quot; for enabling and &quot;0&quot; for disabling.","UserEnableWebAccess - Value is equal to &quot;1&quot; for enabling and &quot;0&quot; for disabling.","Result","The API modifies all the information associated with the mail domain user.","Editing a Mail Domain User","7644.htm");
Page[44]=new Array("Command name","ESuspendUser.exe","Parameters","DomainName - Name of the mail domain.","UserName - Name of the user to be suspended.","Result","The API suspends the specified user.","Suspending a Mail Domain User","7645.htm");
Page[45]=new Array("Command name","EDeleteUser.exe","Parameters","DomainName - Name of the mail domain.","UserName - Name of the mail domain user.","Result","The API deletes all the information associated with the mail domain user including aliases, forwards, and autoresponders. It also cleans up the mail storage used by this user.","Note: Parallels Pro Control Panel does not make any additional backend calls to clean up the user's mail storage.","Deleting a Mail Domain User","7646.htm");
Page[46]=new Array("Command name","EResumeUser.exe","Parameters","DomainName - Name of the mail domain.","UserName - Name of the user to be resumed.","Result","The API resumes the specified user.","Resuming a Mail Domain User","7647.htm");
Page[47]=new Array("Command name","EPreExportUser.exe - This command must be called at the beginning of the export process.","EPostExportUser.exe - This command must be called at the end of the export process.","Note: Both the commands use the same list of parameters given below.","Parameters","DomainName - Name of the mail domain.","UserName - Name of the mail domain user.","MailBoxDirectory - Location of the directory where the mails for this mail domain should be stored.","ExportImportDataLocation - Location of the directory where the data will be stored.","UserEnableForwards - Value is equal to &quot;1&quot; for enabling and &quot;0&quot; for disabling.","UserEnableAutoResponders - Value is equal to &quot;1&quot; for enabling and &quot;0&quot; for disabling.","UserEnableWebAccess - Value is equal to &quot;1&quot; for enabling and &quot;0&quot; for disabling.","Result","The API calls provide the ability to export the mail domain user to the specified directory.","Exporting a Mail Domain User","7648.htm");
Page[48]=new Array("Command name","EPreImportUser.exe - This command must be called at the beginning of the import process.","EPostImportUser.exe - This command must be called at the end of the import process.","Parameters","Both the commands use the same list of parameters as mentioned for exporting a mail domain user. For the complete list of parameters, see parameters.","Result","The API calls provide the ability to import the mail domain user from the specified directory.","Importing a Mail Domain User","7649.htm");
Page[49]=new Array("This section explains the API calls used to manage the alias of a mail domain user.","Managing the Alias of a Mail Domain User","7650.htm");
Page[50]=new Array("Command name","EAddUserAlias.exe","Parameters","DomainName - Name of the mail domain.","UserName - Name of the mail domain user.","UserAlias - User alias for UserName.","Result","The API adds the specified alias and ensures that there are no users hosted on DomainName with the same alias (as specified by UserAlias).","Adding an Alias for a Mail Domain User","7651.htm");
Page[51]=new Array("Command name","EDeleteUserAlias.exe","Parameters","DomainName - Name of the mail domain.","UserName - Name of the mail domain user.","UserAlias - User alias for the mail domain user.","Result","The API deletes the specified alias.","Deleting the Alias for a Mail Domain User","7652.htm");
Page[52]=new Array("Command name","EGetUserAliasList.exe","Parameters","DomainName - Name of the mail domain.","UserName - Name of the mail domain user.","Result","The API displays the user aliases for the specified UserName, one on each line.","If &quot;u1&quot; is a user on a mail domain &quot;xyz.com&quot; and has two aliases defined, &quot;al1&quot; and &quot;al2&quot;, then the output of &quot;EGetUserAliasList.exe xyz.com u1&quot; will print the following on the standard output:","al1<br><br>al2","Displaying All the Aliases of a Mail Domain User","7653.htm");
Page[53]=new Array("This section explains the API calls used to manage the forwarding address of a mail domain user.","Managing the Forward Address of a Mail Domain User","7654.htm");
Page[54]=new Array("Command name","EAddForward.exe","Parameters","DomainName - Name of the mail domain.","UserName - Name of the mail domain user.","UserForward - Forward email address for UserName.","Result","The API adds the forward address for the specified user.","Adding a Forward Address for a Mail Domain User","7655.htm");
Page[55]=new Array("Command name","EDeleteForward.exe","Parameters","DomainName - Name of the mail domain.","UserName - Name of the mail domain user.","UserForward - Forward email address for UserName.","Result","The API deletes the specified forward.","Deleting the Forward Address of a Mail Domain User","7656.htm");
Page[56]=new Array("Command name","EGetForwardList.exe","Parameters","DomainName - Name of the mail domain.","UserName - Name of the mail domain user.","Result","The API displays the forwards for the specified username, one on each line.","If &quot;u1&quot; is a user on a mail domain &quot;foo.com&quot; and has two forward records defined: &quot;u1@alternatemail.com&quot; and &quot;u1@mymail.com&quot;, then the output of &quot;EGetForwardList.exe foo.com u1&quot; should print the following on the standard output","u1@alternatemail.com<br><br>u1@mymail.com","Displaying All the Forward Addresses of a Mail Domain User","7657.htm");
Page[57]=new Array("This section explains the API calls used to manage the members of a distribution list.","Managing the Members of a Distribution List","7658.htm");
Page[58]=new Array("Command name","EAddDistributionListMember.exe","Parameters","DomainName - Name of the mail domain.","DistributionListName - Name of the distribution list.","DistributionListMemberEmailAddress - Email address of the user to be added.","Result","The API adds the user to the specified distribution list.","Adding a Member to a Distribution List","7659.htm");
Page[59]=new Array("Command name","EDeleteDistributionListMember.exe","Parameters","DomainName - Name of the mail domain.","DistributionListName - Name of the distribution list.","DistributionListMemberEmailAddress - Email address of the user to be deleted.","Result","The API deletes the user from the specified distribution list.","Deleting a Member from a Distribution List","7660.htm");
Page[60]=new Array("Command name","EGetDistributionListMemberList.exe","Parameters","DomainName - Name of the mail domain.","DistributionListName - Name of the distribution list.","Result","The API displays the list of all members belonging to the specified distribution list, one on each line.","Displaying the List of Members Belonging to a Distribution List","7661.htm");
Page[61]=new Array("This section explains the API calls used to manage the members of a mailing list.","Managing the Members of a Mailing List","7662.htm");
Page[62]=new Array("Command name","EAddMailingListMember.exe","Parameters","DomainName - Name of the mail domain.","MailingListName - Name of the mailing list.","MailingListMemberName - Name of the user to be added to the mailing list.","MailingListMemberEmailAddress - Email address of the user to be added to the mailing list.","Result","The API adds the user to the specified mailing list.","Adding a Member to a Mailing List","7663.htm");
Page[63]=new Array("Command name","EDeleteMailingListMember.exe","Parameters","DomainName - Name of the mail domain.","MailingListName - Name of the mailing list.","MailingListMemberEmailAddress - Email address of the user to be deleted from the mailing list.","Result","The API deletes the user from the specified mailing list.","Deleting a Member From a Mailing List","7664.htm");
Page[64]=new Array("Command name","EGetMailingListMemberList.exe","Parameters","DomainName - Name of the mail domain.","MailingListName - Name of the mailing list.","Result","The API displays the list of all members belonging to the specified mailing list, one on each line","Displaying the List of Members Belonging to a Mailing List","7665.htm");
Page[65]=new Array("This section explains the API calls used to manage the catchall user for a mail domain.","Managing the Catchall User for a Mail Domain","7666.htm");
Page[66]=new Array("Command name","ESetCatchallUser.exe","Parameters","DomainName - Name of the mail domain.","CatchallUserEmailAddress - Email address of the user who will receive all the email messages returned from that mail domain.","Result","The API adds a user to the specified mail domain as a catchall user who will receive all the email messages returned from that mail domain.","Adding a Catchall User to a Mail Domain","7667.htm");
Page[67]=new Array("Command name","EGetCatchallUser.exe","Parameters","DomainName - Name of the mail domain.","Result","The API displays the list of all the catchall users belonging to the specified mail domain.","Displaying the List of Catchall for a Mail Domain","7668.htm");
Page[68]=new Array("This section explains the API calls used to manage autoresponders for mail domain users.","Managing Autoresponders for Mail Domain Users","7669.htm");
Page[69]=new Array("Command name","ESetAutoResponder.exe","Parameters","DomainName - Name of the mail domain.","UserName - Name of the mail domain user.","Subject - Subject text for auto-response email.","Message - Message text for auto-response email.","Result","The API sets up an autoresponder with the specified text for the mail domain user.","Adding an Autoresponder for Mail Domain User","7670.htm");
Page[70]=new Array("Command name","EGetAutoResponder.exe","Parameters","DomainName - Name of the mail domain.","UserName - Name of the mail domain user.","Result","If autoresponder is not enabled for the specified user, the API does not display anything on the screen and returns &quot;0&quot; (successful). If autoresponder is enabled for the specified user, the API prints the Subject text and Message text on the standard output. The first line of output is the Subject text and rest is the Message text.","Displaying all Autoresponder Records for a Mail Domain User","7671.htm");
Page[71]=new Array("Command name","EDeleteAutoResponder.exe","Parameters","DomainName - Name of the mail domain.","UserName - Name of the mail domain user.","Result","The API deletes all the autoresponder records for the specified mail domain user.","Deleting the Autoresponder Record for a Mail Domain User","7672.htm");
Page[72]=new Array("This chapter provides information about the Registration API call included in Parallels Pro Control Panel.","Registering API Call","7673.htm");
Page[73]=new Array("This section provides information about using the Registration API call to register your mail add-on with Parallels Pro Control Panel.","Registering API call","7675.htm");
Page[74]=new Array("Command name","RegisterMailAddon.exe","Parameters","VendorName - Name of the vendor.","MailServerName - Name of the mail server.","MailServerVersion - Mail server version number.","MailAPIExtension - Extension of the API calls.","MailAPIInterpreter - Interpreter used by the API calls. If this parameter is equal to &quot;&quot;, then a null value is passed.","MailAPIInterpreterParams - Parameters to be passed to the interpreter. If you are passing more than one parameter, then they must be separated by a space ( ) or a comma (,) or as required by the interpreter. If this parameter is equal to &quot;&quot;, then a null value is passed.","3.XCompliantAPI - If you want to use the mail add-on written for Ensim WEBppliance Pro 3.X for Windows 2003, set this parameter to &quot;1&quot;.","Result","The API registers the specified mail add-on.","Note: The RegisterMailAddon command resides in &lt;install_dir&gt;\\cp\\admin\\bin\\serviceComponents\\mail, where &lt;install_dir&gt; refers to the path where Parallels Pro Control Panel is installed. For example, if Parallels Pro Control Panel is installed in C:\\Program Files\\Ensim\\WEBppliance, then this command resides in the C:\\Program Files\\Ensim\\WEBppliance\\cp\\admin\\bin\\<br>serviceComponents\\mail directory.","If you are registering an add-on written for Ensim WEBppliance Pro 3.X for Windows 2003, and the API calls are executables, run the following command.","RegisterMailAddon.exe VendorName MailServerName MailServerVersion exe &quot;&quot; &quot;&quot; 1","If you are registering an add-on written for Parallels Pro Control Panel 10.3.3 for Windows 2003, and the API calls are implemented as VB scripts, run the following command.","RegisterMailAddon.exe VendorName MailServerName MailServerVersion vbs cscript //nologo","Registering a Mail Add-on","7676.htm");
Page[75]=new Array("Parallels Pro Control Panel supports mail add-ons that are based on the Mail API commands included in Ensim WEBppliance Pro 3.X for Windows 2003. This backward compatibility feature can be enabled using the 3.XCompliantAPI parameter while registering the mail add-on with the RegisterMailAddon command.","In backward compatibility mode, the existing mail add-ons are supposed to work as is with Parallels Pro Control Panel. Exceptions to this include:","The new APIs will not work, since they are not implemented by existing mail add-ons. Parallels Pro Control Panel will throw exceptions in such cases.","If the mail add-on assumes Ensim WEBppliance Pro 3.X environment, it may not work as is and might require some modifications.","Backward Compatibility for Existing Mail Add-ons","7677.htm");
var PageCount=76;

function search(SearchWord){
var Result="";
var NrRes=0;
Result='<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">\n';
Result+="<html>\n";
Result+="<head>\n";
Result+="<title>Search Results</title>\n";
Result+="<meta http-equiv='Content-Type' content='text/html; charset=utf-8'>\n";
Result+='<script language="javascript" type="text/javascript" charset="utf-8" src="dhtml_search.js"></script>\n';
Result+='<link rel="stylesheet" type="text/css" href="stylesheet.css">\n';
Result+="</head>\n";
Result+="<body onload='javascript:document.SearchForm.SearchText.focus()'>\n";


/* old */ /*

Result+='<p class="searchDetails">Enter a keyword or phrase';

Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';
if(SearchWord.length>=1){
   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){
       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");
   }
}
Result+='<input type="text" name="SearchText" size="25" value="' + SearchWord + '" />';
Result+='&nbsp;<input type="submit" value="&nbsp;go&nbsp;"/></form>';
Result+='</p>\n';
*/ 
/* new */


Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';
Result+='<p class="searchDetails">Enter a keyword or phrase';

if(SearchWord.length>=1){
   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){
       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");
   }
}

Result+='<input type="text" name="SearchText" class="inputText" value="' + SearchWord + '" />';
Result+='&nbsp;<input type="submit" value="&nbsp;go&nbsp;"/>';
Result+='</p>\n';
Result+='</form>\n';

/* end */



if(SearchWord.length>=1){
   SearchWord=SearchWord.toLowerCase();
   this.status="Searching, please wait...";
   Result+="<table border='0' cellpadding='0' cellspacing='0' class='tocTable' width='90%'>";

   for(j=0;j<PageCount;j++){
       k=Page[j].length-1;
       for(i=0;i<k;i++){
           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);
           if(WordPos>-1){
                NrRes++;
               break; }}}

   Result+="<tr><td class='search'><p class='searchFound'>" + NrRes + " results found</p></td></tr>";

   for(j=0;j<PageCount;j++){
       k=Page[j].length-1;
       for(i=0;i<k;i++){
           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);
           if(WordPos>-1){

               FoundWord=Page[j][i].substr(WordPos,SearchWord.length);
               NrRes++;
               Result+="<tr><td class='search'><p class='searchResults'>";
               Result+="<a target='BODY' href='"+Page[j][k]+"'>"+Page[j][k-1].replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"</a><br/>\n";

               if(i<k-1){
                   if(Page[j][i].length>350){
                       Result+="..."+Page[j][i].substr(WordPos-100,200+FoundWord.length).replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"...\n";
                   }
                   else{
                       Result+=Page[j][i].replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"\n";
                   }
               }
               Result+="</p></td></tr>";
               break;			   
           }		   
       }	   
   }
     
   Result+="</table>";
   

}

Result+="</body></html>";
this.status="";
this.document.open();
this.document.write(Result);
this.document.close();
}